Last Comment Bug 456757 - [Meta] Update the Modern theme for SeaMonkey 2.0
: [Meta] Update the Modern theme for SeaMonkey 2.0
Status: RESOLVED FIXED
: fixed-seamonkey2.0, modern
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: ---
Assigned To: AKIHIRO Misaki (a.k.a Kuden)
:
:
Mentors:
http://forums.mozillazine.org/viewtop...
Depends on: 279611 367272 398138 458246 465924 471921 477309 477427 477710 490277 493022 498153 512254 521383
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 07:12 PDT by Philip Chee
Modified: 2009-10-14 15:21 PDT (History)
17 users (show)
kairo: wanted‑seamonkey2.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
/mozapps/ (48.03 KB, application/zip)
2008-11-18 03:22 PST, Philip Chee
no flags Details
global/config.css (1.27 KB, patch)
2008-11-19 14:16 PST, neil@parkwaycc.co.uk
spitfire.kuden: review+
Details | Diff | Splinter Review
MozApps from Kuden's Modern Theme (56.78 KB, patch)
2009-03-16 22:31 PDT, Ben Frisch
no flags Details | Diff | Splinter Review
Reporter CSS Changes (from Kuden) (1.79 KB, patch)
2009-03-16 22:32 PDT, Ben Frisch
no flags Details | Diff | Splinter Review
Messenger CSS and Throbber PNG (from Kuden) (35.24 KB, patch)
2009-03-16 22:33 PDT, Ben Frisch
no flags Details | Diff | Splinter Review
Global CSS Changes (Bad Upload) (127.33 KB, text/plain)
2009-03-16 22:35 PDT, Ben Frisch
no flags Details
Global CSS Changes (from Kuden) (127.33 KB, patch)
2009-03-16 22:38 PDT, Ben Frisch
no flags Details | Diff | Splinter Review
Modern Directory's CSS and PNGs (from Kuden) (127.33 KB, patch)
2009-03-16 22:41 PDT, Ben Frisch
no flags Details | Diff | Splinter Review
Fix Modern iconic menus (437 bytes, patch)
2009-10-07 07:53 PDT, neil@parkwaycc.co.uk
no flags Details | Diff | Splinter Review
Alternative fix as suggested by Dao (474 bytes, patch)
2009-10-07 08:26 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
iann_bugzilla: approval‑seamonkey2.0+
Details | Diff | Splinter Review
Another 1-liner (459 bytes, patch)
2009-10-13 08:07 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
iann_bugzilla: approval‑seamonkey2.0+
Details | Diff | Splinter Review

Description Philip Chee 2008-09-24 07:12:08 PDT
This is a tracking bug for work on updating the Modern Theme and implementing the missing elements now that trunk has moved to tookkit (e.g. /global/ and /mozapps/).

There is also a thread in the Theme Development forum on the Mozillazine phpBB tracking this work. http://forums.mozillazine.org/viewtopic.php?f=18&t=748735.

Kuden is currently working on /mozapps/
Comment 1 Philip Chee 2008-11-18 03:22:21 PST
Created attachment 348743 [details]
/mozapps/

Kuden has finished /mozapps/ and posted a full theme (tkmodern) at http://maguroban.s41.xrea.com/theme/ToolkitModern.jar. I think it's too large to attach here so I'm going to attach only the /mozapps/ sub directory.

Phil
Comment 2 AKIHIRO Misaki (a.k.a Kuden) 2008-11-18 03:34:58 PST
(In reply to comment #1)
> Created an attachment (id=348743) [details]
> /mozapps/

At least, these changes are also necessary with  /mozapps/   . 

button.css, textbox.css, wizard.css, toolbarbutton.css,
progressmeter.css, richlistbox.css, notification.css

and 
/global/throbber/
/global/icons/(added new icons)
Comment 3 neil@parkwaycc.co.uk 2008-11-18 06:12:14 PST
Note that we don't actually use downloads or handling (though this may change), passwordmgr, places or profile.
Comment 4 neil@parkwaycc.co.uk 2008-11-19 07:30:38 PST
The .jar also seems to include updated theming for newsblog and some other pages (ThreeDShadow crept into config.css and netError.css for example...)
Comment 5 Philip Chee 2008-11-19 09:00:21 PST
> (ThreeDShadow crept into config.css and netError.css for example...)
Is that good or is that bad?
Comment 6 neil@parkwaycc.co.uk 2008-11-19 09:09:13 PST
It's bad that we currently have ThreeDShadow in Modern, yes.
Comment 7 Stefan [:stefanh] (away until December 6) 2008-11-19 09:43:55 PST
ThreeDShadow is mapped to a system color that varies between platforms. So, it won't be the same on different platforms.
Comment 8 neil@parkwaycc.co.uk 2008-11-19 13:08:28 PST
(In reply to comment #4)
> The .jar also seems to include updated theming for newsblog
Oops, that was a bogus diff on my part.

At a quick glance, the change to global/button.css is incorrect, though.
Comment 9 neil@parkwaycc.co.uk 2008-11-19 13:41:12 PST
The about:buildconfig changes look nice, except for the outer netError-like border, which I don't think fits, and doesn't really work with about: either.
Comment 10 neil@parkwaycc.co.uk 2008-11-19 14:16:32 PST
Created attachment 349042 [details] [diff] [review]
global/config.css

I liked some of your config.css changes:
* use background-color not just background
* #warningBox needs a colour
* ThreeDShadow should be a Modern colour
* #exclam should have a width and height
but not others:
* comments restored
* bracing and CSS properties reverted to file style
* useless and incorrect #configTree margin removed
* #filterRow margin removed, I don't think we need it
What do you think?
Comment 11 AKIHIRO Misaki (a.k.a Kuden) 2008-11-20 02:28:16 PST
(In reply to comment #10)
> Created an attachment (id=349042) [details]
> global/config.css

This looks good.
However, I cannot change the attachment (id=349042)...

Neil, Does mozapps of SeaMonkey Modern need only these?
mozapps/extensions/
mozapps/plugins/
mozapps/update/
mozapps/xpinstall/

(I memorize for mozapps/places/ to have been made by demanding KaiRo.)

I select only files really necessary for mozapps of SeaMonkey Modern.
Comment 12 Philip Chee 2008-11-20 03:02:52 PST
I should be filing several dependent bugs for each item as this should be kept as the META or tracking bug.

(In reply to comment #2)
> At least, these changes are also necessary with  /mozapps/   . 

> button.css, textbox.css, wizard.css, toolbarbutton.css,
> progressmeter.css, richlistbox.css, notification.css

> and 
> /global/throbber/
> /global/icons/(added new icons)

(In reply to comment #11)
> However, I cannot change the attachment (id=349042)
Comment 13 Philip Chee 2008-11-20 03:11:41 PST
I've filed Bug 465924 for work on global. Neil could you copy/move your attachment(s) there?

(In reply to comment #11)
> However, I cannot change the attachment (id=349042)
Neil can we arrange for Kuden to get editbugs?
Comment 14 neil@parkwaycc.co.uk 2008-11-20 15:13:40 PST
(In reply to comment #11)
> Neil, Does mozapps of SeaMonkey Modern need only these?
> mozapps/extensions/
> mozapps/plugins/
> mozapps/update/
> mozapps/xpinstall/
It definitely needs these. It might need some of the others later too.

(In reply to comment #13)
> I've filed Bug 465924 for work on global. Neil could you copy/move your
> attachment(s) there?
Hardly seems worth it for attachment 348042 [details].
Comment 15 neil@parkwaycc.co.uk 2008-11-20 15:48:57 PST
Comment on attachment 349042 [details] [diff] [review]
global/config.css

Pushed changeset bbb774695612 to comm-central.
Comment 16 Philip Chee 2008-12-22 19:34:41 PST
Removing dependency on Bug 355822 for the moment since we are using a forked UI for the profile selection dialog (we use a tree instead of a listbox). Can someone check if this affects us?
Comment 17 neil@parkwaycc.co.uk 2008-12-31 09:53:11 PST
(In reply to comment #16)
> Removing dependency on Bug 355822 for the moment since we are using a forked UI
> for the profile selection dialog (we use a tree instead of a listbox). Can
> someone check if this affects us?
It should have no affect on us at all.
Comment 18 Jens Hatlak (:InvisibleSmiley) 2008-12-31 10:23:04 PST
Do we already have a bug for icons in the Error Console (All, Errors, Warnings, Messages, Clear) or is this not desired for Modern?
Comment 19 Philip Chee 2008-12-31 17:43:54 PST
> Do we already have a bug for icons in the Error Console (All, Errors, Warnings,
> Messages, Clear) or is this not desired for Modern?

Well traditionally we didn't have icons in the XPFE error console. When we moved to toolkit we picked up the toolkit error console with the fancy toolbar buttons - but only with classic of course (since much of classic comes from toolkit).

I'm the current maintainer of Console² which has icons and customizable toolbars so a current workaround for you is to install this extension.
Comment 20 neil@parkwaycc.co.uk 2009-01-01 10:01:05 PST
(In reply to comment #18)
> Do we already have a bug for icons in the Error Console (All, Errors, Warnings,
> Messages, Clear) or is this not desired for Modern?
Well, I don't mind, as long as we can turn them off again ;-)
Comment 21 Robert Kaiser 2009-02-18 09:38:09 PST
From what I heard so far, we'd need some work from someone who can drive the existing work done by Kuden through our review process and into the SeaMonkey tree, which will probably require a number of (smaller) adaptations.
Comment 22 Ben Frisch 2009-03-16 22:31:27 PDT
Created attachment 367725 [details] [diff] [review]
MozApps from Kuden's Modern Theme
Comment 23 Ben Frisch 2009-03-16 22:32:35 PDT
Created attachment 367726 [details] [diff] [review]
Reporter CSS Changes (from Kuden)
Comment 24 Ben Frisch 2009-03-16 22:33:45 PDT
Created attachment 367727 [details] [diff] [review]
Messenger CSS and Throbber PNG (from Kuden)
Comment 25 Ben Frisch 2009-03-16 22:35:42 PDT
Created attachment 367728 [details]
Global CSS Changes (Bad Upload)
Comment 26 Ben Frisch 2009-03-16 22:38:47 PDT
Created attachment 367729 [details] [diff] [review]
Global CSS Changes (from Kuden)
Comment 27 Ben Frisch 2009-03-16 22:41:15 PDT
Created attachment 367730 [details] [diff] [review]
Modern Directory's CSS and PNGs (from Kuden)
Comment 28 Ben Frisch 2009-03-16 22:47:00 PDT
I just finished uploading all of the patches from extracting the JAR onto a Comm-Central checkout.  I'll investigate who best to review and if any files were deleted tomorrow.  I'll also upload zip files of the images tomorrow as well. Let me know if there is a preferred way to break up the changes/additions.
Comment 29 neil@parkwaycc.co.uk 2009-03-17 02:10:16 PDT
One problem is that we want to keep the changes (bug 474807 is one obvious example) to Modern that have been made since the .jar was created.
Comment 30 neil@parkwaycc.co.uk 2009-03-17 02:13:25 PDT
In fact bug 474807 is a really annoying example as it also need to be applied to the "new" parts to the theme :-(
Comment 31 Robert Kaiser 2009-03-17 06:13:06 PDT
Comment on attachment 367725 [details] [diff] [review]
MozApps from Kuden's Modern Theme

Benjamin, please direct the review to a specific person, review requests without a target person are usually ignored as nobody feels it's his task to look at them.

Setting them to Neil as he's our "UI tsar" and also knows Modern quite well.
Comment 32 Frank Wein [:mcsmurf] 2009-03-24 07:03:08 PDT
Benjamin: Do you plan to work on what Neil said in Comment 29? If you need some help with this, please comment in the bug.
Comment 33 Ben Frisch 2009-03-24 21:26:14 PDT
I do plan to work on what Neil said in comment 29.  I am aiming to have anther round of patches ready this week.  Sorry for the delay.
Comment 34 Ben Frisch 2009-03-31 18:15:00 PDT
Due to exams and the death of what was a faulty NVIDIA graphics chip, I am not able to get to this until this weekend.   If that is a problem, feel free to take the bug from me.  My planned approach is to start with the patches I created and then add all of the patches made to modern since the theme was created, according to the results of a search for "modern" on http://hg.mozilla.com/comm-central.  Does this seem the best way to do this?  Also, I assume that it is actually preferred that I submit patches on the dependent bugs.  If so, I will do that for the next round of patches.
Comment 35 Philip Chee 2009-03-31 18:49:07 PDT
> My planned approach is to start with the patches I
> created and then add all of the patches made to modern since the theme was
> created, according to the results of a search for "modern" on
> http://hg.mozilla.com/comm-central.  Does this seem the best way to do this?

Errr. Nooo. I would recommend instead that you do a manual merge (I think some people use kdiff3, I'm on Windows so I use WinMerge) file by file making sure that you don't override any changes to the theme that were made since Kuden made the modified JAR.

You can use MXR to look at each file, then for each file in the top right corner are links to the HG log. The column on the left in the HG log has a "diff" link for each changeset that tells you what was changed.

> Also, I assume that it is actually preferred that I submit patches on the
> dependent bugs.

Yes that's the way to do it. Also if there doesn't exist a dependent bug for a particular global submodule then by all means file one and make it block this one.

Keep up the good work!
Comment 36 Frank Wein [:mcsmurf] 2009-06-30 05:50:42 PDT
Ping?
Comment 37 Frank Wein [:mcsmurf] 2009-07-14 03:42:13 PDT
Benjamin: Any update?
Comment 38 neil@parkwaycc.co.uk 2009-10-07 07:53:31 PDT
Created attachment 405047 [details] [diff] [review]
Fix Modern iconic menus

Steps to reproduce problem:
1. Install an extension that uses iconic menus e.g.
   Versions (https://addons.mozilla.org/addon/3830)
2. Switch to the Modern theme
3. Note that the arrow for the iconic menu does not line up. This is because
   the XBL for iconic menus includes pack="center" but not for ordinary menus.

The problem does not occur in the Classic theme on either Windows or Linux because both of those themes use -moz-appearance on the containing box.
The problem is less obvious with Pinstripe because of its native menus.
OS/2 also fixed the problem by adding some padding to its containing box.
Comment 39 neil@parkwaycc.co.uk 2009-10-07 08:26:05 PDT
Created attachment 405050 [details] [diff] [review]
Alternative fix as suggested by Dao

Dao suggested increasing the margin and reducing the width instead.
Comment 40 Ian Neal 2009-10-07 14:45:00 PDT
Comment on attachment 405050 [details] [diff] [review]
Alternative fix as suggested by Dao

I think I prefer this one as the actual image is 4px wide
Comment 41 Robert Kaiser 2009-10-08 12:43:05 PDT
Let's get this off the "approved but not fixed" radar for 2.0 - I wonder if we should mark it fixed as a whole...
Comment 42 Robert Kaiser 2009-10-08 13:11:54 PDT
oops, apparently there is an actual patch here that was not checked in, so it correctly shows on the radar.
I hate intermingling trackers with actual patches on the bug...
Comment 43 neil@parkwaycc.co.uk 2009-10-10 06:02:53 PDT
Pushed changeset 9bad4209e8aa to mozilla-central.

I know this is really a tracking bug, but I'm going to mark it fixed anyway.
Comment 44 neil@parkwaycc.co.uk 2009-10-13 08:07:21 PDT
Created attachment 406018 [details] [diff] [review]
Another 1-liner

Sorry for being too lazy to file separate bugs for all these.

This changes the display of password requests to a nice "lock" icon; by comparison Linux builds already use a "key" instead of a question mark.
Comment 45 neil@parkwaycc.co.uk 2009-10-14 15:21:58 PDT
Comment on attachment 406018 [details] [diff] [review]
Another 1-liner

Pushed changeset 98c8cbfc4b23 to comm-central.

Note You need to log in before you can comment on or make changes to this bug.